[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# LogAllEvents

Constant that can be used to select all events.

## Declaration

Source position: sqldb.pp line 43

`const LogAllEvents = [detCustom, detPrepare, detExecute, detFetch, detCommit, detRollBack];`

## Description

LogAllEvents is a constant that contains the full set of available event types. It can be used to set TSQLConnection.LogEvents.

## See also

TSQLConnection.LogEvents |  | Filter for events to log
TDBLogNotifyEvent |  | Event handler prototype for handling events
GlobalDBLogHook |  | Global logging hook